Skip to main content
`Ctrl`+`K`

# STSetDefaultShift

Sets the value of the shift that should be employed if the user did not specify one.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STSetDefaultShift(ST st,PetscScalar defaultshift)

Logically Collective

## Input Parameters

- st - the spectral transformation context

- defaultshift - the default value of the shift

## See Also

ST: Spectral Transformation, `STSetShift()`

## Level

developer

## Location

src/sys/classes/st/interface/stfunc.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages